Subject: Re: [AVTCORE] [Editorial Errata Reported] RFC3711 (4514)

From: "Ben Campbell" <[email-masked]>
Date: Fri, 30 Oct 2015 10:48:51 +0900

Agreed on both points. Since it does not appear to impact 
interoperability, I marked it as "held for update".

Thanks!

Ben.

On 29 Oct 2015, at 21:10, Karl Norrman wrote:

> Hello!
>
> I agree that the figure would look better if the proposed correction 
> is made.
> On the other hand, I can't really see that the current figure could be 
> misinterpreted by an implementer, so I consider this to be an 
> editorial correction.
>
> BR
> Karl
>
>> -----Original Message-----
>> From: RFC Errata System [mailto:[email-masked]]
>> Sent: den 29 oktober 2015 12:40
>> To: [email-masked]; [email-masked];
>> [email-masked]; Mats Näslund; Karl Norrman; [email-masked];
>> [email-masked]; [email-masked];
>> [email-masked]
>> Cc: [email-masked]; [email-masked]; 
>> [email-masked]
>> Subject: [Editorial Errata Reported] RFC3711 (4514)
>>
>> The following errata report has been submitted for RFC3711, "The 
>> Secure
>> Real-time Transport Protocol (SRTP)".
>>
>> --------------------------------------
>> You may review the report below and at:
>> http://www.rfc-editor.org/errata_search.php?rfc=3711&eid=4514
>>
>> --------------------------------------
>> Type: Editorial
>> Reported by: Bernhard Kirchen <[email-masked]>
>>
>> Section: 3.1
>>
>> Original Text
>> -------------
>> The format of an SRTP packet is illustrated in Figure 1.
>>
>> 0                   1                   2                   3
>> 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+<+
>>
>> Corrected Text
>> --------------
>> The format of an SRTP packet is illustrated in Figure 1.
>>
>> 0                   1                   2                   3
>> 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+<+
>>
>> Notes
>> -----
>> The bit index second decimal digit is shifted by two characters. 
>> These digits
>> should align with the zeros in the second line.
>>
>> Instructions:
>> -------------
>> This erratum is currently posted as "Reported". If necessary, please 
>> use
>> "Reply All" to discuss whether it should be verified or rejected. 
>> When a
>> decision is reached, the verifying party (IESG) can log in to change 
>> the status
>> and edit the report, if necessary.
>>
>> --------------------------------------
>> RFC3711 (draft-ietf-avt-srtp-09)
>> --------------------------------------
>> Title               : The Secure Real-time Transport Protocol (SRTP)
>> Publication Date    : March 2004
>> Author(s)           : M. Baugher, D. McGrew, M. Naslund, E. Carrara, 
>> K. Norrman
>> Category            : PROPOSED STANDARD
>> Source              : Audio/Video Transport
>> Area                : Real-time Applications and Infrastructure
>> Stream              : IETF
>> Verifying Party     : IESG